### Method

# Adw NavigationViewpop_to_tag

since: 1.4

#### Declaration [src]

    gboolean
    adw_navigation_view_pop_to_tag (
      AdwNavigationView* self,
      const char* tag
    )

#### Description [src]

Pops pages from the navigation stack until page with the tag `tag` is visible.

The page must be in the navigation stack.

If `adw_navigation_view_add()` hasn’t been called for any of the popped pages, they are automatically removed.

`AdwNavigationView::popped` will be emitted for each of the popped pages.

See `adw_navigation_view_pop_to_page()` and `AdwNavigationPage:tag`.

Available since: 1.4

#### Parameters

`tag`

  Type: `const char*`

  A page tag.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if any pages have been popped.